TransportEndpoint (CMDB Model API)
Keywords: com.collation.platform.model.topology.net.TransportEndpoint interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.net
Interface TransportEndpoint

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  TcpPort, UdpPort

    public interface TransportEndpoint

extends LogicalElement

A ISO layer 4 endpoint. E.g. a UDP port or a TCP port.

Naming Rules:
  0="managedSystemName"
Persistable:
  true
Table Name:
  TRANSPORTEP
Display Name:
  portNumber

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`IpInterface` | `getIpInterface()`
`int` | `getPortNumber()`
`boolean` | `hasIpInterface()`
`boolean` | `hasPortNumber()`
`void` | `setIpInterface(IpInterface ipInterface)`
`void` | `setPortNumber(int portNumber)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getIpInterface

    IpInterface getIpInterface()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.BindsTo" reverse="false"

### setIpInterface

    void setIpInterface(IpInterface ipInterface)

### hasIpInterface

    boolean hasIpInterface()

### getPortNumber

    int getPortNumber()
                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPortNumber

    void setPortNumber(int portNumber)

### hasPortNumber

    boolean hasPortNumber()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD